using CMSMicroservice.Domain.Enums;

namespace CMSMicroservice.Application.UserOrderCQ.Commands.UpdateOrderStatus;

public class UpdateOrderStatusCommandValidator : AbstractValidator<UpdateOrderStatusCommand>
{
    public UpdateOrderStatusCommandValidator()
    {
        RuleFor(x => x.OrderId)
            .GreaterThan(0)
            .WithMessage("شناسه سفارش باید بزرگتر از 0 باشد");

        RuleFor(x => x.NewStatus)
            .IsInEnum()
            .WithMessage("وضعیت تحویل نامعتبر است");
    }
}
